Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006423TestLinkAPI - XMLRPCpublic2014-07-07 07:472016-09-08 15:13
Reporteratisne 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSCentOSOS Version5
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0006423: Enable to link a project with an ITS when creating a test project using the XML-RPC API
DescriptionTestlink 1.9 change the implementation of the Issue Tracker System integration.
I create test projects throw the ITS (Gforge). So, I have to be able to remotely link the newly created project with an exiting ITS object.
The existing API does not propose this service.
Steps To Reproduce1- create a project using the XML-RPC API
-> we cannot link the projet to an existing ITS
Additional InformationYou will find a proposition of implementation in the merge request 17
https://gitorious.org/testlink-ga/testlink-code/merge_requests/17. [^]

I've added to the XML-RPC API, a function that allow to retrieve the ID of the issuetracker from its name. And I've modified the function createTestProject to link the created project with an ITS, if provided.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgresql 8.3
Browser
PHP Version5.4.29
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024491)
atisne (reporter)
2016-02-03 18:22

A new pull request has been done on gitHub: https://github.com/TestLinkOpenSourceTRMS/testlink-code/pull/15 [^]

It could be nice to be part of Testlink.
(0024545)
fman (administrator)
2016-02-26 12:34

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/ee5582fb7904cebb57b0a7b22b001532c385562e [^]
(0025282)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2014-07-07 07:47 atisne New Issue
2016-02-03 18:22 atisne Note Added: 0024491
2016-02-26 07:11 fman QA Team - Task Workflow Status => TBD
2016-02-26 12:34 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-02-26 12:34 fman Note Added: 0024545
2016-02-26 12:34 fman Status new => resolved
2016-02-26 12:34 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-02-26 12:34 fman Resolution open => fixed
2016-02-26 12:34 fman Assigned To => fman
2016-02-26 12:34 fman Relationship added child of 0007262
2016-09-08 15:13 fman Note Added: 0025282
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker